PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Typedefs | Functions
url.h File Reference
`#include <ptlib/pfactory.h>`
Include dependency graph for url.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PURL
| This class describes a Universal Resource Locator. More...
struct | PURL::LoadParams
class | PURLScheme
class | PURLLegacyScheme
class | PURLLoader

## Macros
#define | PURL_LEGACY_SCHEME(schemeName, hasUsername,hasPassword,hasHostPort,defaultToUserIfNoAt,defaultHostToLocal,hasQuery,hasParameters,hasFragments,hasPath,relativeImpliesScheme, defaultPort)
| Define a scheme based on basic legacy syntax. More...

## Typedefs
typedef PFactory< PURLScheme > | PURLSchemeFactory
typedef PFactory< PURLLoader > | PURLLoaderFactory

## Functions
| PFACTORY_LOAD (PURL_HttpLoader)
| PFACTORY_LOAD (PURL_FtpLoader)

## Macro Definition Documentation

#define PURL_LEGACY_SCHEME | ( |  | schemeName,
|  |  | hasUsername,
|  |  | hasPassword,
|  |  | hasHostPort,
|  |  | defaultToUserIfNoAt,
|  |  | defaultHostToLocal,
|  |  | hasQuery,
|  |  | hasParameters,
|  |  | hasFragments,
|  |  | hasPath,
|  |  | relativeImpliesScheme,
|  |  | defaultPort
| ) |  |

Value:
/* URL scheme default port if not specified in host:port */ \
class PURLLegacyScheme_##schemeName : public PURLLegacyScheme \
{ \
public: \
PURLLegacyScheme_##schemeName() \
: PURLLegacyScheme(hasUsername, \
hasPassword, \
hasHostPort, \
defaultToUserIfNoAt, \
defaultHostToLocal, \
hasQuery, \
hasParameters, \
hasFragments, \
hasPath, \
relativeImpliesScheme, \
defaultPort) \
{ } \
}; \
static PURLSchemeFactory::Worker<PURLLegacyScheme_##schemeName> schemeName##Factory(#schemeName, true); \

Define a scheme based on basic legacy syntax.

The full HTTP style URL is: scheme://user:pass:port/path#fragment;params?query the various flags indicate if the subsection is present in the scheme.

## Typedef Documentation

typedef PFactory<PURLLoader> PURLLoaderFactory

typedef PFactory<PURLScheme> PURLSchemeFactory

## Function Documentation

PFACTORY_LOAD | ( | PURL_HttpLoader |  | ) |

PFACTORY_LOAD | ( | PURL_FtpLoader |  | ) |